.TH xganim
.SH NAME
\fIxganim\fR \- Raster File Animation Program
.br
.SH SYNOPSIS
\fBxganim\fR
.br
\fBxganim help\fR
.br
\fBxganim\fR \fBview1=\fIname[,name,...]\fR \fB[view2=\fIname[,name,...]]\fR
   \fB[view3=\fIname[,name,...]]\fR \fB[view4=\fIname[,name,...]]\fR
.SH DESCRIPTION
\fIxganim\fR is a tool for animating a series of GRASS raster files.  At 
startup, a graphics window is opened containing VCR-like button controls
for: rewind, reverse play, step back, stop, step forward, forward play,
loop, swing, slower, faster, show filenames, current frame no., and Exit.
The image is displayed above or to the left of the controls.  Each raster
file is read into memory, then the animation is played once beginning to end.
The user may then replay the series or play continuous animation by 
using the buttons.
.LP
The user may define up to four "views", or sub-windows, to animate 
simultaneously.  e.g., View 1 could be rainfall, View 2 flooded areas,
View 3 damage to bridges or levees, View 4 other economic damage, all 
animated as a time series.  There is an arbitrary limit of 100 files per
view (100 animation frames), but the practical limit may be less depending
on the window size and amount of available RAM.  
.LP
The environment variable
XGANIM_SIZE is checked for a value to use as the dimension, in pixels, of
the longest dimension of the animation window.  If XGANIM_SIZE is not set,
the animation size defaults to the rows & columns in the current GRASS
region, scaling if necessary to a default minimum size of 600 and 
maximum of 900.  The resolution of the current GRASS region is maintained,
independent of window size.  Resizing the window after the program is
running will have no effect on the animation size.
.LP
UNIX - style \fBwild cards\fR may be used with
the command line version in place of a raster file name, but it \fImust 
be quoted\fR.
.LP
Example:
.br
xganim view1="rain[1-9]","rain1[0-2]" view2="temp*"
.LP
If the number of files differs for each view, the view with the fewest files
will determine the number of frames in the animation.
.LP
.SH "COMMAND LINE OPTIONS"
.LP
Parameters
.IP \fIview1\fR
Raster file(s) for View1
.IP \fIview2\fR
Raster file(s) for View2
.IP \fIview3\fR
Raster file(s) for View3
.IP \fIview4\fR
Raster file(s) for View4

.SH BUGS
On some displays that need to use private colormaps, the interface buttons
may become difficult to see.

.SH AUTHOR
Bill Brown, U.S. Army Construction Engineering Research Laboratories
(brown@zorro.cecer.army.mil)
